%include %{_rpmconfigdir}/macros.python3

Name: python3-Pillow
Version: 5.0.0
Release: 6
License: Python-2.0
Summary: Python Imaging Library
Url: https://pandas.pydata.org/

Source0: https://files.pythonhosted.org/packages/0f/57/25be1a4c2d487942c3ed360f6eee7f41c5b9196a09ca71c54d1a33c968d9/Pillow-5.0.0.tar.gz

BuildRequires: python3-devel
BuildRequires: python3-pip

BuildRequires: freetype-devel
BuildRequires: libjpeg-turbo-devel
BuildRequires: zlib-devel


%description
Pillow is the friendly fork of PIL, the Python Imaging Library.

%prep
%setup -q -n Pillow-%{version}

%build
# Fix the wrong dependencies /bin/sh and /usr/bin/python
find . -type f | xargs perl -pi -e 's|/usr/bin/env python|%{_bindir}/python%{py_ver}|g;s|#!/bin/sh|#!/QOpenSys/usr/bin/sh|g'

python%{py_ver} setup.py bdist_wheel

%install
pip%{py_ver} install --no-index --no-compile --root %{buildroot} dist/*.whl

perl -p -i -e 's|pip|rpm|g' %{buildroot}%{py_sitedir}/*.dist-info/INSTALLER

%files
%defattr(-, qsys, *none)

%{py_sitedir}/PIL
%{py_sitedir}/Pillow*

%changelog
* Tue Jul 28 2020 Mark Irish <mirish@ibm.com> - 5.0.0
- Correct URL to use HTTPS to avoid permanent HTTP redirect

* Tue Mar 19 2019 - Kevin Adler <kadler@us.ibm.com>
- Build with freetype support
- Clean up summary and description

* Thu Jan 03 2019 - Kevin Adler <kadler@us.ibm.com>
- Remove -I and --no-deps from install cmd to ensure package deps set correctly

* Sun Aug 05 2018 - Kevin Adler <kadler@us.ibm.com>
- Set INSTALLER to be "rpm" instead of "pip"
- Add --no-index to pip, so it doesn't attempt to connect to the internet

* Fri Aug 03 2018 - Kevin Adler <kadler@us.ibm.com>
- Use py_ver macro for future python compatibility

* Thu Aug 02 2018 - Kevin Adler <kadler@us.ibm.com>
- Remove unneeded setuptools and wheel build requirements

* Fri Jul 06 2018 - mengxumx <mengxumx@cn.ibm.com>
- Add missing zlib-devel BuildRequires

* Fri Jul 06 2018 - mengxumx <mengxumx@cn.ibm.com>
- Initial spec file
